local debug = false
--[===[@alpha@
debug = true
--@end-alpha@]===]
local L = LibStub("AceLocale-3.0"):GetLocale("AchScreenshotter2", not debug)

local mod = AchScreenshotter2
local addonname = "AchScreenShotter2"

-- @usage prueft ob das bg zu ende ist und wer gewonnen hat
function AchScreenshotter2:battlefield_function()
  local winner = GetBattlefieldWinner()
  if (winner ~= nil) then -- ab dem ende gibt GetBattlefieldWinner() nicht mehr nil
    local fraction = UnitFactionGroup("player")
    local iswinner = (fraction == "Horde" and winner == 0) or (fraction == "Alliance" and winner == 1) -- Horde = 0, Alliance = 1
    if (not mod.sv.bg.onlywin) or iswinner then
      mod:take_screenshot("battleground", mod.sv.bg.hideui, mod.sv.delay)
    end
  end
end

function AchScreenshotter2:getbattlegroundoptions()
  local version = GetAddOnMetadata(addonname, "X-Curse-Packaged-Version") or ""
  local battlegroundoptions = {
        name = L["Battleground"].." "..version,
        type = "group",
        --desc = L["battleground options"],
        args = {
          bg = {
            name = L["battleground enable"],
            type = "toggle",
            order = 41,
            desc = L["battleground enable desc"],
            get = function() return mod.sv.bg.enable end,
            set = function(_, val)
              mod.sv.bg.enable = val
              mod:RefreshConfig()
              end,
            },
          hideui ={
            name = L["hideui enable"],
            type = "toggle",
            order = 42,
            desc = L["hideui desc"],
            get = function() return mod.sv.bg.hideui end,
            set = function(_, val)
              mod.sv.bg.hideui = val
              end,
            },
          header = {
            name = L["misc"],
            type = "header",
            order = 43,
          },
          bg_win = {
            name = L["battleground win only"],
            type = "toggle",
            order = 44,
            desc = L["battleground win only desc"],
            get = function() return mod.sv.bg.onlywin end,
            set = function(_, val)
              mod.sv.bg.onlywin = val
              end,
            },
          }
        }
return battlegroundoptions
end